## scheme48 1.8+dfsg

=== debian/changelog ===
scheme48 (1.8+dfsg-3) unstable; urgency=low

  * debian/patches:
    - link-order.patch from Colin Watson (Closes: #641943) 
      (LP: #832929)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Mar 2013 15:00:00 +0100

scheme48 (1.8+dfsg-2) unstable; urgency=low

  * new maintainer (Closes: #598685)
  * debian/rules: switched to dh
  * debian/compat: switched to dh 9
  * debian/control: switched to dh 9
  * debian/control: DM-Upload-Allowed removed
  * debian/control: replace emacs22 by emacs23
  * debian/control: standard changed to 3.9.3 (no changes)
  * debian/control: remove explicit dependency on quilt
  * debian/rules: upstream changelog is in doc/news.txt
  * debian/copyright: remove pointer to BSD license
  * debian/scheme48.docs: news.txt is upstream changelog

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 09 Mar 2013 19:00:00 +0100

scheme48 (1.8+dfsg-1) unstable; urgency=low

  * Repack upstream tarball to remove non-dfsg-free emacs/cmulisp.el
    (Closes: #509860)
  * debian/copyright: Add a note explaining the removal of emacs/cmulisp.el
  * debian/control:
    - Change to Section: lisp
    - Bump to Debian Policy version 3.8.1
    - Added DM-Upload-Allowed: yes
  * debian/watch: Add dversionmangle to remove +dfsg from local version.
  * debian/patches/hurd-i386-fix-ftbfs.diff: Manually define MAXHOSTNAMELEN on
    hurd-i386 since it doesn't exist there, and manually include pthread.h,
    fixing a FTBFS.
  * debian/rules: Manually pass -pthread in LDFLAGS, finishes the fix for the
    FTBFS on hurd-i386. (Closes: #531928)

 -- Daniel Moerner <dmoerner@gmail.com>  Sat, 06 Jun 2009 15:24:27 -0700

scheme48 (1.8-2) unstable; urgency=low
  
  [ Trent W. Buck]
  * scheme48-doc.links: Fix scheme48-doc symlinks (Closes: #508621).
  * scheme48-doc.doc-base: fix section (no Applications/).
  * rules: remove autogenerated file c/scheme48.def.
  * control: add Homepage (Closes: #481850), bump to 3.8.0
  * scheme48.lintian-overrides: whitelist SRFI 7 in shebang. 

  [ Daniel Moerner ]
  * New maintainer (Closes: #515544)
  * debian/compat:
    - Switch to compat level 7
  * debian/rules:
    - Switch to dh 7
    - Keep config.guess and config.sub updated
  * debian/patches:
    - Add makefile-add-_GNU_SOURCE.diff to fix glibc-2.9 compile error.
    - Add makefile-add-lc-to-LDFLAGS.diff to give dependency info to library.
    - Add man-properly-escape-minuses.diff to satisfy lintian.
    - Modify debian-user-name.diff to use hostname of builder.
    - Modify bugfix-wait-for-child-eats-100%-cpu.diff to add a description
      that actually describes the bugfix.
  * debian/control:
    - Add ${misc:Depends}.
    - Add Vcs-Git and Vcs-Browswer fields.
    - Remove cdbs; switch to debhelper version 7 or newer.
    - Add Build-Depends on autotools-dev
  * debian/manpages:
    - Created manpage scheme48-config.1 and installed in scheme48 package.
    - Removed scheme48.1, we now use scheme48.man instead. 
  * debian/README.Debian:
    - Clean up old entries, change comments about twb not implementing
      multiple concurrent versions of scheme48 to reference my name.
  * debian/scheme48.docs:
    - Install README and doc/todo.txt as docs.
  * debian/cmuscheme48-el.emacsen-{install,remove}
    - Replace old references to prolog-el with cmuscheme48-el.
  
 -- Daniel Moerner <dmoerner@gmail.com>  Mon, 02 Mar 2009 21:40:29 -0800

scheme48 (1.8-1) unstable; urgency=low

  * New upstream release
    * Native 64-bit support (without jumping through hoops).
    * Upstream's tarball contains two copies of c/scheme48write-barrier.h,
      which upsets dpkg-source -b.  Therefore, ship a custom .orig.tar.gz.
  * debian/control, debian/rules: drop biarch hack.
  * debian/control: drop scheme48-scm (see README.Debian).
  * debian/rules: use DESTDIR (supported upstream since 1.7).
  * debian/watch: fix.
  * debian/patches: refresh fuzzy patches.
    Drop fix-mandir, fix-use-installed-vm, dont-conflict-with-scsh: they
    seem to be obsolete.
  * Install docs in /usr/share/doc/scheme48 rather than ...-doc.
  * debian/control (Standards-Version): bump to 3.7.3.

 -- Trent W. Buck <trentbuck@gmail.com>  Fri, 16 May 2008 01:08:41 +1000

scheme48 (1.7-1) unstable; urgency=low

  * New upstream release (closes: #410401).
  * New maintainer (closes: #411425, #451063).
  * debian/control (cmuscheme48-el): update Emacs dependency.
  * debian/patches: resolve merge conflicts (fuzz, offsets, &c).
  * debian/copyright: since I can never tell how pedantic license
    declaration must be, I have opted to be maximally pedantic.
  * Riku Voipio: add armeb, armel and sh4 to architecture list, closes: #469873

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 26 Nov 2007 21:39:41 +1100

scheme48 (1.6-1) UNRELEASED; urgency=low

  * New upstream release.
    * Remove #318558 fix; problem seems to be fixed by new upstream.
    * Remove gnuemacs-replace-in-string patch (fixed upstream).
  * Use cdbs.
  * Upgrade standards version to 3.7.2, debhelper 5.
  * Support amd64 via -m32.
  * Remove fuzz, offsets in patches.
  * Discard empty file from doc/html to appease lintian.
  * Trent Buck is an uploader.

 -- Trent Buck <trentbuck@gmail.com>  Fri, 22 Jun 2007 21:02:10 +1000

scheme48 (1.3-6) unstable; urgency=low

  * Fix permissions in the orig.tar.gz that got broken due to darcs
    (Closes: #370416)

 -- Jorgen Schaefer <forcer@debian.org>  Mon,  5 Jun 2006 16:56:35 +0200

scheme48 (1.3-5) unstable; urgency=low

  * Use quilt.
  * Apply bugfix-wait-for-child-eats-100%-cpu (Closes: #348352)

 -- Jorgen Schaefer <forcer@debian.org>  Sun,  4 Jun 2006 22:36:04 +0200

scheme48 (1.3-4) unstable; urgency=low

  * Don't build on 64 bit architectures (Closes: #324390)

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 22 Aug 2005 06:47:31 +0200

scheme48 (1.3-3) unstable; urgency=low

  * Don't regenerate files that don't need to be regenerated.
  Really (Closes: #318558)


