## scheme48 1.9

=== debian/changelog ===
scheme48 (1.9-5) unstable; urgency=medium

  * debian/control: replace dependency on emacs23 by emacs (Closes: #754038)
                    (there won't be emacs23 in Jessie)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Jul 2014 20:00:00 +0200

scheme48 (1.9-4) unstable; urgency=medium

  * patch for insecure use of tmpfile (Closes: #748766)
    (reported by Steve Kemp, patch by Michael Sperber)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 May 2014 19:00:00 +0200

scheme48 (1.9-3) unstable; urgency=low

  * debian/rules: disable tests on some architectures
  * debian/control: add canonical VCS-fields
  * debian/control: standard changed to 3.9.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 28 Sep 2013 18:00:00 +0200

scheme48 (1.9-2) unstable; urgency=low

  * put it from experimental to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 May 2013 18:00:00 +0200

scheme48 (1.9-1) experimental; urgency=low

  * new upstream version
  * debian/patches: reworked for new version
  * according to the last mail in #509860 there is no more need to 
    repack, so I use the original tarball again

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 15 Mar 2013 18:00:00 +0100
