=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/scheme48.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme48.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/scheme48.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme48.git
 Homepage: http://s48.org/
 
 Package: scheme48
@@ -39,7 +39,7 @@
 
 Package: cmuscheme48-el
 Architecture: all
-Depends: emacsen-common, emacs23 | emacsen, scheme48, ${misc:Depends}
+Depends: emacsen-common, emacs | emacsen, scheme48, ${misc:Depends}
 Description: Emacs mode specialized for Scheme48
  Scheme48 associates loaded code with specific files. This extension
  to the normal scheme-mode of Emacs uses this facility to associated
