=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH 	    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_LDFLAGS_MAINT_APPEND = -pthread

%:
	dh $@

override_dh_auto_test:
	# disable tests on architectures where they fail
	# up to now it is not clear why some tests fail
ifneq ($(DEB_BUILD_ARCH),ia64) 
ifneq ($(DEB_BUILD_ARCH),mipsel) 
ifneq ($(DEB_BUILD_ARCH),sparc) 
	echo "I: do testing"
	dh_auto_test
else
	echo "I: no test on architecture sparc"
endif
else
	echo "I: no test on architecture mipsel"
endif
else
	echo "I: no test on architecture ia64"
endif

override_dh_auto_configure:
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config.guess
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		--docdir=/usr/share/doc/scheme48 \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr

override_dh_auto_build:
	dh_auto_build

override_dh_clean:
	dh_clean
	rm -f c/scheme48.def config.guess config.sub config.log config.status
	rm -f Makefile
	rm -f c/scheme48arch.h c/sysdep.h
	rm -f c/ffi-test/ffi-test.o
	rm -f c/r6rs/ieee_bytevect.o
	rm -f c/r6rs/r6rs_externals.o


override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs doc/news.txt
