## scheme48 1.9.2

=== debian/changelog ===
scheme48 (1.9.2-4) unstable; urgency=medium

  * debian/rules: after having fixed the ./configure problems, the errors
                  must not be ignored anymore (-> policy 4.6)
                  (Closes: #1078914)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Aug 2024 09:41:05 +0200

scheme48 (1.9.2-3) unstable; urgency=medium

  * build against dh-elpa>=2.1.5 (Closes: #1077121)
  * debian/control: new dependency dh-autoreconf (Closes: #1075492)
  * copy m4 macros from upstream to debian/additional-sources
    this is needed to use autoreconf
    some changes were necessary to compile it with gcc14
  * debian/control: standard changed to 4.7.0 (no changes)
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2024 10:41:05 +0200

scheme48 (1.9.2-2) unstable; urgency=medium

  * debian/control: use dh12
  * debian/control: standard changed to 4.5.0 (no changes)
  * debian/control: use better VCS URLs
  * debian/missing-sources: add m4 directory; while preparing the release
                            of version 1.9, upstream moved the S48_* macros
                            from configure.in to m4/ but forgot to include
                            this directory in the release tarball. It is
                            added to missing-sources now. If you want to
                            rebuild configure please consider:
                              env ACLOCAL="aclocal -I m4" autoreconf -v -i
                            (Closes: #968212)
  * debian/watch: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Aug 2020 21:41:05 +0200

scheme48 (1.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #831572)
  * debian/control: use dh11
  * debian/control: standard changed to 4.1.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Aug 2018 21:41:05 +0200
