=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: lisp
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/scheme48.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme48.git
-Homepage: http://s48.org/
+Build-Depends: debhelper-compat (= 12)
+	, dh-elpa (>= 2.1.5)
+	, dh-autoreconf
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/alteholz/scheme48
+Vcs-Git: https://salsa.debian.org/alteholz/scheme48.git
+Homepage: https://s48.org/
+Rules-Requires-Root: no
 
 Package: scheme48
 Architecture: any
@@ -39,7 +42,8 @@
 
 Package: cmuscheme48-el
 Architecture: all
-Depends: emacsen-common, emacs | emacsen, scheme48, ${misc:Depends}
+Depends: emacsen-common, emacs | emacsen, scheme48, ${misc:Depends}, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Emacs mode specialized for Scheme48
  Scheme48 associates loaded code with specific files. This extension
  to the normal scheme-mode of Emacs uses this facility to associated
