=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,20 @@
 DEB_HOST_ARCH 	    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+#export DEB_LDFLAGS_MAINT_APPEND = -pthread -Wl,z,now
 export DEB_LDFLAGS_MAINT_APPEND = -pthread
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@
+	dh $@ --with elpa
 
 override_dh_auto_test:
 	# disable tests on architectures where they fail
 	# up to now it is not clear why some tests fail
-ifneq ($(DEB_BUILD_ARCH),ia64) 
-ifneq ($(DEB_BUILD_ARCH),mipsel) 
-ifneq ($(DEB_BUILD_ARCH),sparc) 
+ifneq ($(DEB_BUILD_ARCH),ia64)
+ifneq ($(DEB_BUILD_ARCH),mipsel)
+ifneq ($(DEB_BUILD_ARCH),sparc)
 	echo "I: do testing"
 	dh_auto_test
 else
@@ -26,6 +29,11 @@
 	echo "I: no test on architecture ia64"
 endif
 
+override_dh_autoreconf:
+	# we do need to take care of some m4 macros
+	cp -a debian/additional-sources/m4 .
+	env ACLOCAL="aclocal -I m4" autoreconf -v -i
+
 override_dh_auto_configure:
 	-test -r /usr/share/misc/config.sub && \
 		cp -f /usr/share/misc/config.sub config.sub
@@ -35,6 +43,12 @@
 		--docdir=/usr/share/doc/scheme48 \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr
+	# use this to check for ./configure problems
+	#-./configure --host=$(DEB_HOST_GNU_TYPE) \
+	#	--docdir=/usr/share/doc/scheme48 \
+	#	--build=$(DEB_BUILD_GNU_TYPE) \
+	#	--prefix=/usr
+	#cat config.log
 
 override_dh_auto_build:
 	dh_auto_build
@@ -47,7 +61,8 @@
 	rm -f c/ffi-test/ffi-test.o
 	rm -f c/r6rs/ieee_bytevect.o
 	rm -f c/r6rs/r6rs_externals.o
-
+	# remove macros again
+	rm -fr m4
 
 override_dh_auto_install:
 	dh_auto_install
