=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # See uscan(1) manual for info.
 # This file is currently broken.  When it works, move it to ./watch.
-version=3
+version=4
 
 # Because http://s48.org/ has a link to 1.7/download.html instead of
 # to 1.7/ -- this means that the naïve
@@ -18,4 +18,4 @@
 # Daniel Leidert provided the following (working) replacement:
 #  dversionmangle shamelessly stolen from http://wiki.debian.org/DEHS
 opts=dversionmangle=s/\+dfsg//,downloadurlmangle=s{([^/]+)/download.html$}{$1/scheme48-$1.tgz},filenamemangle=s{([^/]+)/download.html}{scheme48-$1.tgz} \
-  http://s48.org/index.html  ([\d\.]+)/download.html
+  https://s48.org/index.html  ([\d\.]+)/download.html debian uupdate
